io.milvus.param.control

## Class GetCompactionPlansParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetCompactionPlansParam.Builder

- Enclosing class:
    GetCompactionPlansParam

      public static final class GetCompactionPlansParam.Builder
      extends java.lang.Object

  Builder for `GetCompactionPlansParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetCompactionPlansParam` | `build()` Verifies parameters and creates a new `GetCompactionPlansParam` instance.
    `GetCompactionPlansParam.Builder` | `withCompactionID(@NonNull java.lang.Long compactionID)` Sets compaction action id to get the plans.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCompactionID

          public GetCompactionPlansParam.Builder withCompactionID(@NonNull
                                                                  @NonNull java.lang.Long compactionID)

      Sets compaction action id to get the plans.
      Parameters:
        `compactionID` - compaction action id
      Returns:
        `Builder`

    - #### build

          public GetCompactionPlansParam build()
                                        throws ParamException

      Verifies parameters and creates a new `GetCompactionPlansParam` instance.
      Returns:
        `GetCompactionPlansParam`
      Throws:
        `ParamException`